org.mariadb.jdbc.internal.protocol.authentication

## Class DefaultAuthenticationProvider

- java.lang.Object
- - org.mariadb.jdbc.internal.protocol.authentication.DefaultAuthenticationProvider

    public class DefaultAuthenticationProvider
    extends Object

### Field Summary

Fields
`static String` `MYSQL_CLEAR_PASSWORD`
`static String` `MYSQL_ED25519_PASSWORD`
`static String` `MYSQL_NATIVE_PASSWORD`
`static String` `MYSQL_OLD_PASSWORD`

### Constructor Summary

Constructors
Constructor and Description
`DefaultAuthenticationProvider()`

### Method Summary

All Methods Static Methods Concrete Methods
`static InterfaceAuthSwitchSendResponsePacket` `processAuthPlugin(PacketInputStream reader, String plugin, String password, byte[] authData, int seqNo, String passwordCharacterEncoding)` Process AuthenticationSwitch.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MYSQL_NATIVE_PASSWORD

    public static final String MYSQL_NATIVE_PASSWORD

See Also:
  Constant Field Values

#### MYSQL_OLD_PASSWORD

    public static final String MYSQL_OLD_PASSWORD

See Also:
  Constant Field Values

#### MYSQL_CLEAR_PASSWORD

    public static final String MYSQL_CLEAR_PASSWORD

See Also:
  Constant Field Values

#### MYSQL_ED25519_PASSWORD

    public static final String MYSQL_ED25519_PASSWORD

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultAuthenticationProvider

    public DefaultAuthenticationProvider()

### Method Detail

#### processAuthPlugin

    public static InterfaceAuthSwitchSendResponsePacket processAuthPlugin(PacketInputStream reader,
                                                                          String plugin,
                                                                          String password,
                                                                          byte[] authData,
                                                                          int seqNo,
                                                                          String passwordCharacterEncoding)
                                                                   throws SQLException

Process AuthenticationSwitch.

Parameters:
  `reader` - packet fetcher
  `plugin` - plugin name
  `password` - password
  `authData` - auth data
  `seqNo` - packet sequence number
  `passwordCharacterEncoding` - password character encoding
Returns:
  authentication response according to parameters
Throws:
  `SQLException` - if error occur.